org.apache.sling.validation.impl.model

## Class ResourcePropertyBuilder

- java.lang.Object
- - org.apache.sling.validation.impl.model.ResourcePropertyBuilder

    public class ResourcePropertyBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ResourcePropertyBuilder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.validation.model.ResourceProperty` `build(String name)`
`ResourcePropertyBuilder` `multiple()`
`ResourcePropertyBuilder` `nameRegex(String nameRegex)`
`ResourcePropertyBuilder` `optional()`
`ResourcePropertyBuilder` `validator(String id, Integer severity, Map<String,Object> parameters)`
`ResourcePropertyBuilder` `validator(String id, Integer severity, String... parametersNamesAndValues)` should only be used from test classes

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourcePropertyBuilder

    public ResourcePropertyBuilder()

### Method Detail

#### nameRegex

    @Nonnull
    public ResourcePropertyBuilder nameRegex(String nameRegex)

#### validator

    @Nonnull
    public ResourcePropertyBuilder validator(@Nonnull
                                                      String id,
                                                      Integer severity,
                                                      String... parametersNamesAndValues)

should only be used from test classes

#### validator

    @Nonnull
    public ResourcePropertyBuilder validator(@Nonnull
                                                      String id,
                                                      Integer severity,
                                                      @Nonnull
                                                      Map<String,Object> parameters)

#### optional

    @Nonnull
    public ResourcePropertyBuilder optional()

#### multiple

    @Nonnull
    public ResourcePropertyBuilder multiple()

#### build

    @Nonnull
    public org.apache.sling.validation.model.ResourceProperty build(@Nonnull
                                                                             String name)